using UnityEngine.Rendering;
using UnityEngine.Rendering.Universal;

public class UIBackgroundRenderFeature : ScriptableRendererFeature
{
    [System.Serializable]
    public class UIBackgroundSetting
    {
        public RenderPassEvent Event = RenderPassEvent.AfterRenderingTransparents;
    }

    public UIBackgroundSetting settings = new UIBackgroundSetting();

    UIBackgroundPass pass;

    public override void Create()
    {
        pass = new UIBackgroundPass(settings.Event);
    }

    public override void AddRenderPasses(ScriptableRenderer renderer, ref RenderingData renderingData)
    {
        //pass.Setup(renderingData.cameraData.cameraTargetDescriptor, renderer.cameraColorTarget);
        renderer.EnqueuePass(pass);
    }
}